
const char *_efl_core_command_line_command_get(const Eo *obj, Efl_Core_Command_Line_Data *pd);


static Eina_Value
__eolian_efl_core_command_line_command_get_reflect(const Eo *obj)
{
   const char *val = efl_core_command_line_command_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_core_command_line_command_get, const char *, NULL);

Eina_Accessor *_efl_core_command_line_command_access(Eo *obj, Efl_Core_Command_Line_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY(efl_core_command_line_command_access, Eina_Accessor *, NULL);

Eina_Bool _efl_core_command_line_command_array_set(Eo *obj, Efl_Core_Command_Line_Data *pd, Eina_Array *array);

static void
_efl_core_command_line_command_array_set_ownership_fallback(Eina_Array *array)
{
   Eina_Stringshare *array_iter;
   while((array_iter = eina_array_pop(array)))
     {
        eina_stringshare_del(array_iter);
     }
   eina_array_free(array);
}

EAPI EAPI_WEAK EFL_FUNC_BODYV_FALLBACK(efl_core_command_line_command_array_set, Eina_Bool, 0, _efl_core_command_line_command_array_set_ownership_fallback(array);, EFL_FUNC_CALL(array), Eina_Array *array);

Eina_Bool _efl_core_command_line_command_string_set(Eo *obj, Efl_Core_Command_Line_Data *pd, const char *str);


static Eina_Error
__eolian_efl_core_command_line_command_string_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_core_command_line_command_string_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_core_command_line_command_string_set, Eina_Bool, 0, EFL_FUNC_CALL(str), const char *str);

void _efl_core_command_line_efl_object_destructor(Eo *obj, Efl_Core_Command_Line_Data *pd);


static Eina_Bool
_efl_core_command_line_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CORE_COMMAND_LINE_EXTRA_OPS
#define EFL_CORE_COMMAND_LINE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_core_command_line_command_get, _efl_core_command_line_command_get),
      EFL_OBJECT_OP_FUNC(efl_core_command_line_command_access, _efl_core_command_line_command_access),
      EFL_OBJECT_OP_FUNC(efl_core_command_line_command_array_set, _efl_core_command_line_command_array_set),
      EFL_OBJECT_OP_FUNC(efl_core_command_line_command_string_set, _efl_core_command_line_command_string_set),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_core_command_line_efl_object_destructor),
      EFL_CORE_COMMAND_LINE_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"command", NULL, __eolian_efl_core_command_line_command_get_reflect},
      {"command_string", __eolian_efl_core_command_line_command_string_set_reflect, NULL},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_core_command_line_class_desc = {
   EO_VERSION,
   "Efl.Core.Command_Line",
   EFL_CLASS_TYPE_MIXIN,
   sizeof(Efl_Core_Command_Line_Data),
   _efl_core_command_line_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_core_command_line_mixin_get, &_efl_core_command_line_class_desc, NULL, NULL);
